Cyberduck Mountain Duck CLI

#8115 closed defect (worksforme)

NullPointerException in Host#init

Reported by: Gscot Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 4.5
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description (last modified by dkocher)

I find no ticket available for the continuation of this issue. I attempted to respond to aid on this topic, but it was to a "noreply" address. Finding no other logical way I'll put that continuing correspondence here.

On Jul 25, 2014, at 5:26 AM, Cyberduck <trac@…> wrote:

Please update to the latest snapshot build available and report back if the problem persists.

Done. The problem persists.

Please include the file cyberduck.log in the [http://trac.cyberduck.ch/wiki/help/en/faq#Wherearepreferencesandapplicationsettingssavedto application support directory].

Looking at this Faq page the indication is that the cyberduck.log file is stored in the appdata directory and the appdata directory is peculiar to the Windows version of this program. I am using the Mac version of the program.

Looking in the console, a program with which I am only marginally operational, I see this under “all messages” (.png screen capture):

http://grab.by/yTSK

In the system log there is this:

Jul 25 08:41:28 Ducks.local WindowServer[168]: disable_update_timeout: UI updates were forcibly disabled by application "Cyberduck" for over 1.00 seconds. Server has re-enabled them.
Jul 25 08:41:29 Ducks.local WindowServer[168]: common_reenable_update: UI updates were finally reenabled by application "Cyberduck" after 2.01 seconds (server forcibly re-enabled them after 1.00 seconds)
Jul 25 08:41:29 Ducks.local Cyberduck[664]: [background-3] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null
		at ch.cyberduck.core.Host.serialize(Host.java:360)
		at ch.cyberduck.core.serializer.impl.PlistWriter.write(PlistWriter.java:79)
		at ch.cyberduck.core.AbstractFolderHostCollection.collectionItemAdded(AbstractFolderHostCollection.java:71)
		at ch.cyberduck.core.AbstractFolderHostCollection.collectionItemAdded(AbstractFolderHostCollection.java:31)
		at ch.cyberduck.core.Collection.add(Collection.java:108)
		at ch.cyberduck.core.AbstractHostCollection.add(AbstractHostCollection.java:96)
		at ch.cyberduck.core.HistoryCollection.add(HistoryCollection.java:90)
		at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:112)
		at ch.cyberduck.ui.cocoa.MainController$13.run(MainController.java:947)
		at ch.cyberduck.ui.cocoa.MainController$13.run(MainController.java:944)
		at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
		at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:159)
		at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
Jul 25 08:41:29 Ducks.local Cyberduck[664]: Performance: Please update this scripting addition to supply a value for ThreadSafe for each event handler: "/Library/ScriptingAdditions/SIMBL.osax"
Jul 25 08:41:30 Ducks kernel[0]: Cyberduck (map: 0xffffff8049d1ef00) triggered DYLD shared region unnest for map: 0xffffff8049d1ef00, region 0x7fff8c000000->0x7fff8c200000. While not abnormal for debuggers, this increases system memory footprint until the target exits.
Jul 25 08:41:35 Ducks.local Cyberduck[664]: [main] ERROR org.rococoa.callback - Exception calling method for selector setProtocolCombobox:
		at ch.cyberduck.ui.cocoa.foundation.NSBundle.loadNibNamed(NSBundle.java:47)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:74)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:62)
		at ch.cyberduck.ui.cocoa.PreferencesController.<init>(PreferencesController.java:81)
		at ch.cyberduck.ui.cocoa.PreferencesControllerFactory$1.<init>(PreferencesControllerFactory.java:36)
		at ch.cyberduck.ui.cocoa.PreferencesControllerFactory.instance(PreferencesControllerFactory.java:36)
		at ch.cyberduck.ui.cocoa.MainController.preferencesMenuClicked(MainController.java:497)
		at ch.cyberduck.ui.cocoa.application.NSApplication$$ByRococoa.run(<generated>)
		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:146)
		at ch.cyberduck.ui.cocoa.PreferencesController.setProtocolCombobox(PreferencesController.java:1635)
Jul 25 08:41:43 Ducks.local Cyberduck[664]: [main] ERROR org.rococoa.callback - Exception calling method for selector menu:updateItem:atIndex:shouldCancel:
		at ch.cyberduck.ui.cocoa.application.NSApplication$$ByRococoa.run(<generated>)
		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:146)
		at ch.cyberduck.ui.cocoa.delegate.HistoryMenuDelegate.menuUpdateItemAtIndex(HistoryMenuDelegate.java:107)
		at ch.cyberduck.ui.cocoa.delegate.AbstractMenuDelegate.menu_updateItem_atIndex_shouldCancel(AbstractMenuDelegate.java:53)
Jul 25 08:41:50 Ducks.local Cyberduck[664]: 10.4-style NSDateFormatter method called on a 10.0-style formatter, which doesn't work. Break on _NSDateFormatter_Log_New_Methods_On_Old_Formatters to debug. This message will only be logged once.
Jul 25 08:43:26 Ducks.local launchservicesd[57]: Application App:"Cyberduck" asn:0x0-54054 pid:664 refs=7 @ 0x7f95bc927f60 tried to be brought forward, but isn't in fPermittedFrontApps ( ( "LSApplication:0x0-0x57057 pid=689 "SecurityAgent"")), so denying. : LASSession.cp #1481 SetFrontApplication() q=LSSession 100005/0x186a5 queue
Jul 25 08:43:26 Ducks.local WindowServer[168]: [cps/setfront] Failed setting the front application to Cyberduck, psn 0x0-0x54054, securitySessionID=0x186a5, err=-13066
Jul 25 08:43:32 Ducks.local WindowServer[168]: disable_update_timeout: UI updates were forcibly disabled by application "Cyberduck" for over 1.00 seconds. Server has re-enabled them.
Jul 25 08:43:32 Ducks.local WindowServer[168]: common_reenable_update: UI updates were finally reenabled by application "Cyberduck" after 1.22 seconds (server forcibly re-enabled them after 1.00 seconds)
Jul 25 08:43:32 Ducks.local Cyberduck[699]: [background-2] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null
		at ch.cyberduck.core.Host.<init>(Host.java:158)
		at ch.cyberduck.core.Host.<init>(Host.java:132)
		at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
		at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
		at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
		at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
		at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:128)
		at ch.cyberduck.core.BookmarkCollection.load(BookmarkCollection.java:248)
		at ch.cyberduck.ui.cocoa.MainController$12.run(MainController.java:952)
		at ch.cyberduck.ui.cocoa.MainController$12.run(MainController.java:948)
		at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
		at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:165)
		at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
Jul 25 08:43:32 Ducks.local Cyberduck[699]: [background-3] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null
		at ch.cyberduck.core.Host.<init>(Host.java:158)
		at ch.cyberduck.core.Host.<init>(Host.java:132)
		at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
		at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
		at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
		at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
		at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:128)
		at ch.cyberduck.ui.cocoa.MainController$13.run(MainController.java:976)
		at ch.cyberduck.ui.cocoa.MainController$13.run(MainController.java:973)
		at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
		at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:165)
		at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
Jul 25 08:43:32 Ducks.local Cyberduck[699]: Performance: Please update this scripting addition to supply a value for ThreadSafe for each event handler: "/Library/ScriptingAdditions/SIMBL.osax"
Jul 25 08:43:33 Ducks kernel[0]: Cyberduck (map: 0xffffff80420b63c0) triggered DYLD shared region unnest for map: 0xffffff80420b63c0, region 0x7fff8c000000->0x7fff8c200000. While not abnormal for debuggers, this increases system memory footprint until the target exits.
Jul 25 08:44:07 Ducks.local KeyCue[399]: *** process changed (B) from Process "DEVONthink Pro" (DNtp) 2.7.6 to Process "Cyberduck" (CYCK) 4.4.3
Jul 25 08:44:07 Ducks.local KeyCue[399]: *** process changed (A) from Process "DEVONthink Pro" (DNtp) 2.7.6 to Process "Cyberduck" (CYCK) 4.4.3

There is nothing in View > toggle Log drawer. The Cyberduck window continues to look like this throughout:

http://grab.by/yTTA

Attachments (1)

ch.sudo.cyberduck (original).plist (7.5 KB) - added by Gscot on Jul 29, 2014 at 8:05:51 PM.
An onerous preferences file that made CD stall in start-up.

Download all attachments as: .zip

Change History (20)

comment:1 Changed on Jul 26, 2014 at 1:22:59 PM by dkocher

  • Description modified (diff)
  • Owner set to dkocher
  • Status changed from new to assigned

http://new.tinygrab.com/64fdc1957955b379f97d4e57df4d311056e6b39ee6.png

comment:2 Changed on Jul 28, 2014 at 1:10:12 PM by dkocher

Can you please try to deinstall both KeyCue and the SIMBL.osax scripting addition. I suspect there is an interoperability issue with these.

comment:3 Changed on Jul 28, 2014 at 3:18:01 PM by Gscot

Can you please try to deinstall both KeyCue and the SIMBL.osax scripting addition. I suspect there is an interoperability issue with these.

Done. Cyberduck behaves the same, hanging on start. In console in the "System Log Queries" I find this:

7/28/14 8:01:44.000 AM kernel[0]: Sandbox: QuickLookUIHelpe(588) deny file-issue-extension /Applications/Net Utilities/Cyberduck.app
7/28/14 8:01:44.335 AM com.apple.quicklook.satellite[594]: [QL] No sandbox token for request <QLPreviewRequest file:///Applications/Net%20Utilities/Cyberduck.app>, it will probably fail
7/28/14 8:01:54.277 AM com.apple.quicklook.satellite[594]: [QL] No sandbox token for request <QLPreviewRequest file:///Applications/Net%20Utilities/Cyberduck.app>, it will probably fail
7/28/14 8:01:55.666 AM sandboxd[118]: ([597]) QuickLookUIHelpe(597) deny file-issue-extension /Applications/Net Utilities/Cyberduck.app
7/28/14 8:03:56.459 AM WindowServer[164]: disable_update_timeout: UI updates were forcibly disabled by application "Cyberduck" for over 1.00 seconds. Server has re-enabled them.
7/28/14 8:03:56.643 AM Cyberduck[674]: [background-3] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null

java.lang.NullPointerException
	at ch.cyberduck.core.Host.<init>(Host.java:158)
	at ch.cyberduck.core.Host.<init>(Host.java:132)
	at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
	at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
	at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:128)
	at ch.cyberduck.ui.cocoa.MainController$13.run(MainController.java:976)
	at ch.cyberduck.ui.cocoa.MainController$13.run(MainController.java:973)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:165)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
	at java.lang.Thread.run(Thread.java:724)
7/28/14 8:03:56.661 AM WindowServer[164]: common_reenable_update: UI updates were finally reenabled by application "Cyberduck" after 1.20 seconds (server forcibly re-enabled them after 1.00 seconds)
7/28/14 8:03:56.669 AM Cyberduck[674]: [background-1] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null

java.lang.NullPointerException
	at ch.cyberduck.core.Host.<init>(Host.java:158)
	at ch.cyberduck.core.Host.<init>(Host.java:132)
	at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
	at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
	at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:128)
	at ch.cyberduck.ui.cocoa.MainController$11.run(MainController.java:930)
	at ch.cyberduck.ui.cocoa.MainController$11.run(MainController.java:927)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:165)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
	at java.lang.Thread.run(Thread.java:724)
7/28/14 8:03:56.672 AM Cyberduck[674]: [background-2] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null

java.lang.NullPointerException
	at ch.cyberduck.core.Host.<init>(Host.java:158)
	at ch.cyberduck.core.Host.<init>(Host.java:132)
	at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
	at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
	at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:128)
	at ch.cyberduck.core.BookmarkCollection.load(BookmarkCollection.java:248)
	at ch.cyberduck.ui.cocoa.MainController$12.run(MainController.java:952)
	at ch.cyberduck.ui.cocoa.MainController$12.run(MainController.java:948)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:165)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
	at java.lang.Thread.run(Thread.java:724)
7/28/14 8:03:56.697 AM Cyberduck[674]: Performance: Please update this scripting addition to supply a value for ThreadSafe for each event handler: "/Library/ScriptingAdditions/SIMBL.osax"
7/28/14 8:03:57.000 AM kernel[0]: Cyberduck (map: 0xffffff803e12af00) triggered DYLD shared region unnest for map: 0xffffff803e12af00, region 0x7fff93400000->0x7fff93600000. While not abnormal for debuggers, this increases system memory footprint until the target exits.
7/28/14 8:06:39.860 AM Cyberduck[674]: [background-7] ERROR ch.cyberduck.ui.cocoa.MainController - Error awaiting bookmarks to load null
7/28/14 8:06:39.860 AM Cyberduck[674]: [background-8] ERROR ch.cyberduck.ui.cocoa.MainController - Error awaiting bookmarks to load null
7/28/14 8:14:55.545 AM WindowServer[160]: disable_update_timeout: UI updates were forcibly disabled by application "Cyberduck" for over 1.00 seconds. Server has re-enabled them.
7/28/14 8:14:56.034 AM WindowServer[160]: common_reenable_update: UI updates were finally reenabled by application "Cyberduck" after 1.49 seconds (server forcibly re-enabled them after 1.00 seconds)
7/28/14 8:14:56.074 AM Cyberduck[623]: [background-2] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null

java.lang.NullPointerException
	at ch.cyberduck.core.Host.<init>(Host.java:158)
	at ch.cyberduck.core.Host.<init>(Host.java:132)
	at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
	at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
	at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:128)
	at ch.cyberduck.core.BookmarkCollection.load(BookmarkCollection.java:248)
	at ch.cyberduck.ui.cocoa.MainController$12.run(MainController.java:952)
	at ch.cyberduck.ui.cocoa.MainController$12.run(MainController.java:948)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:165)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
	at java.lang.Thread.run(Thread.java:724)
7/28/14 8:14:56.076 AM Cyberduck[623]: [background-1] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null

java.lang.NullPointerException
	at ch.cyberduck.core.Host.<init>(Host.java:158)
	at ch.cyberduck.core.Host.<init>(Host.java:132)
	at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
	at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
	at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:128)
	at ch.cyberduck.ui.cocoa.MainController$11.run(MainController.java:930)
	at ch.cyberduck.ui.cocoa.MainController$11.run(MainController.java:927)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:165)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
	at java.lang.Thread.run(Thread.java:724)
7/28/14 8:14:56.077 AM Cyberduck[623]: [background-3] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null

java.lang.NullPointerException
	at ch.cyberduck.core.Host.<init>(Host.java:158)
	at ch.cyberduck.core.Host.<init>(Host.java:132)
	at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
	at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
	at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
	at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:128)
	at ch.cyberduck.ui.cocoa.MainController$13.run(MainController.java:976)
	at ch.cyberduck.ui.cocoa.MainController$13.run(MainController.java:973)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:165)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
	at java.lang.Thread.run(Thread.java:724)

Last edited on Jul 29, 2014 at 1:19:40 PM by dkocher (previous) (diff)

comment:4 Changed on Jul 28, 2014 at 3:19:22 PM by Gscot

The previous comment was provided *before* exiting the hanging CyberDuck. After exiting these two elements were then added to the system info:

7/28/14 8:18:15.529 AM Cyberduck[623]: [background-8] ERROR ch.cyberduck.ui.cocoa.MainController - Error awaiting bookmarks to load null
7/28/14 8:18:15.530 AM Cyberduck[623]: [background-7] ERROR ch.cyberduck.ui.cocoa.MainController - Error awaiting bookmarks to load null

Last edited on Jul 29, 2014 at 1:19:22 PM by dkocher (previous) (diff)

comment:5 Changed on Jul 28, 2014 at 4:38:34 PM by Gscot

For grins, I went into Cyberduck in Application Support, duped all elements elsewhere and stripped history, bookmarks and sessions. I then ran 4.5.1 which loaded without complaint. I attempted to produce a new bookmarks and saw the bookmark counter increment in the bottom left of the display, but it provided no window for input of bookmark info. I tried created more new bookmarks a couple of ways, and though the bookmark counter incremented--no opportunity for entry, and indication elsewhere that the bookmarks existed. Very odd.

comment:6 Changed on Jul 29, 2014 at 1:18:39 PM by dkocher

The default protocol is possibly overridden to null in your user preferences. Can you try to reset the preferences to factory defaults by entering

defaults delete ch.sudo.cyberduck 

in a Terminal.app window.

comment:7 Changed on Jul 29, 2014 at 1:19:05 PM by dkocher

Previously reported in #7918.

comment:8 Changed on Jul 29, 2014 at 1:20:52 PM by dkocher

#8123 closed as duplicate.

comment:9 Changed on Jul 29, 2014 at 1:24:45 PM by dkocher

Please remove the extension/Library/ScriptingAdditions/SIMBL.osax.

comment:10 Changed on Jul 29, 2014 at 3:19:35 PM by dkocher

  • Summary changed from [Cyberduck] #8101: Hangs on start (was: Cyberduck hangs on start) to NullPointerException in Host#init

comment:11 follow-up: Changed on Jul 29, 2014 at 7:26:48 PM by Gscot

Resolved via resetting defaults.

comment:12 in reply to: ↑ 11 Changed on Jul 29, 2014 at 7:47:32 PM by dkocher

Replying to Gscot:

Resolved via resetting defaults.

Great to hear. Can you please attach the preferences file (ch.sudo.cyberduck.plist) that caused the issue if you still have it.

comment:13 Changed on Jul 29, 2014 at 7:47:40 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

comment:14 follow-up: Changed on Jul 29, 2014 at 7:52:15 PM by Gscot

I could not find it for backup prior to resetting it. If you can tell me where it lives, I'd be glad to fetch it back via Time Machine.

-- Gerry

comment:15 in reply to: ↑ 14 Changed on Jul 29, 2014 at 8:05:49 PM by dkocher

Replying to Gscot:

I could not find it for backup prior to resetting it. If you can tell me where it lives, I'd be glad to fetch it back via Time Machine.

-- Gerry

In ~/Library/Preferences/ch.sudo.cyberduck.plistor in ~/Library/Containers/ch.sudo.cyberduck/Data/Library/Preferences/ch.sudo.cyberduck.plist if you are running the version from the Mac App Store (sandboxed).

Last edited on Jul 29, 2014 at 8:06:03 PM by dkocher (previous) (diff)

Changed on Jul 29, 2014 at 8:05:51 PM by Gscot

An onerous preferences file that made CD stall in start-up.

comment:16 Changed on Jul 29, 2014 at 8:07:21 PM by Gscot

Found where the plist lives, and won't soon forget. Attached.

-- Gerry

comment:17 Changed on Jul 29, 2014 at 8:13:40 PM by dkocher

Fix in r14942. The issue was caused by having a protocol set as the default in Preferences that is no longer supported (me).

comment:18 Changed on Jul 29, 2014 at 9:04:02 PM by Gscot

Many thanks.

Good luck in your endless and thankless efforts!

-- Gerry

comment:19 Changed on Jul 30, 2014 at 7:52:59 PM by dkocher

Revised and added test in r14947.

Note: See TracTickets for help on using tickets.